%define	name	pingus
%define	version	0.7.6
%define	Summary	Pingus - A free Lemmings clone

Summary:	%{Summary}
Summary(de):	Pingus ist ein freier Klon des beliebten Spiels Lemmings.
Name:		%{name}
Version:	%{version}
Release:	%mkrel 2
License:	GPLv2+
Group:		Games/Arcade
URL:		http://pingus.seul.org
Source0:	http://dark.x.dtu.dk/~grumbel/pingus/%{name}-%{version}.tar.xz
Patch0:		pingus-0.7.6-gcc.patch
Source11:	%{name}.16.png
Source12:	%{name}.32.png
Source13:	%{name}.48.png
#----------------------------------------
BuildRequires: scons
BuildRequires: swig
BuildRequires: %{_lib}SDL-devel
BuildRequires: %{_lib}SDL_image-devel
BuildRequires: %{_lib}SDL_mixer1.2-devel
BuildRequires: %{_lib}boost-devel
BuildRequires: %{_lib}mesagl1-devel
BuildRequires: %{_lib}mesaglu1-devel
BuildRequires: %{_lib}png-devel
BuildRequires: %{_lib}physfs-devel
BuildRequires: %{_lib}cwiid-devel
#----------------------------------------
BuildRequires: guile
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Pingus is a free Lemmings clone covered under the GPL. Pingus uses SDL,
which should make it portable over a lot of operating systems in the future. At
the moment the main target is Linux. It is possible to play Pingus in a X
window or in fullscreen.

#german
%description -l de
Ihr Ziel ist, eine Horde von Pinguinen durch eine Welt voller 
Hindernisse und Pinguin-Fallen in Sicherheit zu führen. 
Obwohl Pinguine (anders als Lemminge) ziemlich klug sind, fehlt 
ihnen manchmal der nötige Überblick, und dann können sie sich auf 
Sie verlassen, damit sie gerettet werden.

Die Website von Pingus befindet sich auf <http://pingus.seul.org/>.

%prep
%setup -q
%patch0 -p0

%build
%scons \
	prefix=%{_prefix} \
	execprefix=%{_gamesbindir} \
	datadir=%{_gamesdatadir} \
	libdir=%{_gameslibdir} 

%install
rm -rf %{buildroot}
%makeinstall \
	DATADIR=%{buildroot}/%{_gamesdatadir}/%{name} \
	MANDIR=%{buildroot}/%{_mandir} \
	BINDIR=%{buildroot}/%{_gamesbindir} \
	LIBDIR=%{buildroot}/%{_gameslibdir}


install -m 755 -d %{buildroot}%{_datadir}/applications/
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Pingus
Comment=%{Summary}
Comment[de]=Freier Lemmings-Klon.
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF

install -m644 %{SOURCE11} -D %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

%find_lang %{name}

rm -f %{buildroot}%{_datadir}/locale/locale.alias

sed -i "s^%{buildroot}/^^g" %buildroot%_gamesbindir/pingus

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING README* TODO
%{_gamesbindir}/pingus
%{_gamesbindir}/pingus.bin
%{_gamesdatadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/pingus.6.*


%changelog
* Mon Feb 17 2014 bb <bb> 0.7.6-2pclos2014
- rebuild for new boost library

* Sun Mar 25 2012 leiche <meisssw01 at gmail.com>0.7.6-1pclos2012
- 0.7.6

* Sat Oct 29 2011 Texstar <texstar at gmail.com> 0.7.5-1pclos2011
- 0.7.5

* Sat Oct 15 2011 leiche <meisssw01 at gmail.com> 0.7.4-1leiche2011
- 0.7.4
- add german description

* Tue Oct 05 2011 Archie <pclinuxos.ph at gmail.com>
- Rebuild for x86_64

* Fri Jul 30 2010 Texstar <texstar at gmail.com> 0.7.3-1pclos2010
- 0.7.3
- remove patch3

* Wed Jun 15 2010 Texstar <texstar at gmail.com> 0.7.2-2pclos2010
- update for 2010 release

